
vocab -- A vocabulary printing program
======================================

(c) Mar 2017 H. Zuleger HZNET  

## Input file

The vocab input file is a (utf-8) text file where
each line contains pairs of fields delimited by at least one
tab character.
The first field starts at the beginning of the line, and the
second one after the first consecutive list of tabs.

Empty lines and lines starting with '#' or with white space
are treated as comment lines.

The two fields ccontains a word in a foreign langugae and the
correspondin translation of the word.
If more than one translations or meanings are possible, each one
is separated by a space surounded slash character.

## 

The `vocab` command can be used to produce different kind of output:

1. Without an output option it prints a list of vocabulars on the screen
   as plain text
2. With option `-r` register cards are printed as a postscript file which
   contains on one page the foreign words in a card sheet and the corresponding
   translation on the second page.
   If this is printed on a duplex printer and cuted-off on the lines
   register cards with word pairs are created.
3. Option `-c` is used to generate a webcal calendar with a word as the
   text and the translation as description.
   The calendar starts by default on the last monday and generates entries for
   two weeks.

The number of words printed depends on the output form but can be specified
by the `-n` option.
In regular usage `vocab` picks `n` words out of the all input files and prints it.
If option `-s` is used than `n` is set to the number of word pairs and all of them
are printed in sequential order.

Option `-i` make only sense for text or calendar output and is used to invert
the word and translation pair.

## Example 

Here a (very short) example file "Klingon to German" is used
to visualize some options (see example directory for postscript
output)

	$ vocab -n 1 klingon-german.txt 
	ghov ==> erinnern / ergänzen
	$ vocab -n 1 klingon-german.txt 
	nap ==> einfach sein

	$ vocab -s klingon-german.txt 
	chong ==> aufrecht/senkrecht sein
	mu'tay' ==> Wortschatz / Vokabeln
	chop ==> beissen
	boch ==> glänzen
	yoD ==> Schutzschild / schützen
	ghov ==> erinnern / ergänzen
	lup ==> Sekunde
	puchpa' ==> Toilette
	yem ==> sündigen
	boQ ==> helfen
	nap ==> einfach sein
	plvghor ==> Warpantrieb
	leng ==> reisen
	pon ==> überzeugen
	jlv ==> nicht wissen
	qan ==> alt sein / nicht jung sein
	Hon ==> zweifeln
	bav ==> orbitieren / umkreisen
	vum ==> arbeiten
	'ejDo' ==> Raumschiff
	tam ==> austauschen / vertreten
	lobHa' ==> nicht gehorchen

	$ vocab --cal=22.3.2053 -n 2 klingon-german.txt 
	BEGIN:VCALENDAR
	VERSION:2.0
	PRODID:-//HZNET//vocab//EN
	METHOD:PUBLISH
	NAME:Speak-and-Conversation Vocabulary
	LAST-MODIFIED:20170322T184359Z
	REFRESH-INTERVAL;VALUE=DURATION:P2D
	SOURCE;VALUE=URI:http://www.hznet.de/english/s-and-c.ics
	BEGIN:VEVENT
	UID:vocab-20530317-00@hznet.de
	DTSTAMP:20530317T080000
	DTSTART;VALUE=DATE:20530317
	SUMMARY:boQ
	DESCRIPTION:boQ ⇨ helfen
	CLASS:PUBLIC
	TRANSP:TRANSPARENT
	END:VEVENT
	BEGIN:VEVENT
	UID:vocab-20530318-01@hznet.de
	DTSTAMP:20530318T080000
	DTSTART;VALUE=DATE:20530318
	SUMMARY:ghov
	DESCRIPTION:ghov ⇨ erinnern / ergänzen
	CLASS:PUBLIC
	TRANSP:TRANSPARENT
	END:VEVENT
	END:VCALENDAR

